.titlestyle202234{ font-size: 9pt; color: #222222; text-decoration: none ;}

.titlestyle203332{ line-height: 220%; color: #222222; font-size: 9pt; font-weight: bold; text-decoration: none ;}
.summarystyle203332{ line-height: 150%; color: #222222; font-size: 9pt ;}

.morestyle203337{ font-size: 9pt ;}
.clickstyle203337{ font-size: 9pt; color: #222222; line-height: 150% ;}
.leaderfont203337{ font-size: 9pt; line-height: 150% ;}
.titlestyle203337{ line-height: 150%; font-size: 12pt; text-decoration: none;}
.columnstyle203337{ font-size: 9pt; color: #222222; text-decoration: none ;}
.timestyle203337{ font-size: 9pt; color: #222222; line-height: 150%;}
A.c203337 {
line-height: 150%; font-size: 12pt; text-decoration: none;}
A.c203337:link {
color:#222222;}
A.c203337:visited {
color:#222222;}
A.c203337:active {
color: #222222;}
A.c203337:hover {
color: #cc0000;}
.morestyle203336{ font-size: 9pt ;}
.clickstyle203336{ font-size: 9pt; color: #222222; line-height: 150% ;}
.titleborderstyle203336{ background-color: #ffffff;}
.leaderfont203336{ font-size: 12pt; color: #882227; line-height: 150%;}
.titlestyle203336{ line-height: 150%; font-size: 12pt; text-decoration: none;}
.columnstyle203336{ font-size: 9pt; color: #222222; text-decoration: none ;}
.timestyle203336{ font-size: 9pt; color: #222222; line-height: 150%;}
.winstyle203336{ background-color: #ffffff;}
A.c203336 {
line-height: 150%; font-size: 12pt; text-decoration: none;}
A.c203336:link {
color:#222222;}
A.c203336:visited {
color:#222222;}
A.c203336:active {
color: #222222;}
A.c203336:hover {
color: #cc0000;}
.morestyle203338{ font-size: 9pt ;}
.clickstyle203338{ font-size: 9pt; color: #222222; line-height: 150% ;}
.leaderfont203338{ font-size: 9pt; line-height: 150% ;}
.titlestyle203338{ line-height: 150%; font-size: 12pt; text-decoration: none;}
.columnstyle203338{ font-size: 9pt; color: #222222; text-decoration: none ;}
.timestyle203338{ font-size: 9pt; color: #222222; line-height: 150%;}
A.c203338 {
line-height: 150%; font-size: 12pt; text-decoration: none;}
A.c203338:link {
color:#222222;}
A.c203338:visited {
color:#222222;}
A.c203338:active {
color: #222222;}
A.c203338:hover {
color: #cc0000;}
.titlestyle202236{ font-size: 9pt; color: #222222; text-decoration: none ;}

.titlestyle202237{ font-size: 9pt; color: #222222; line-height: 200%; text-decoration: none ;}

